using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace ToadieTechnika.GGJ2018Game
{
    public class InterferenceObject : MonoBehaviour
    {
        [SerializeField]
        Transform[] m_Rings;
        float m_RingSpeed;

        void OnEnable()
        {
            m_RingSpeed = Random.Range(100, 350);
        }

        void Update()
        {
            foreach (Transform _Ring in m_Rings)
                _Ring.Rotate(0, 0, Time.deltaTime * m_RingSpeed);
        }
    }
}